"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.NotSuggestFriendEntity = void 0;
const typeorm_1 = require("typeorm");
const base_entity_1 = require("./base.entity");
const user_entity_1 = require("./user.entity");
let NotSuggestFriendEntity = class NotSuggestFriendEntity extends base_entity_1.BaseModel {
};
__decorate([
    (0, typeorm_1.PrimaryGeneratedColumn)('identity', {
        type: 'bigint',
    }),
    __metadata("design:type", String)
], NotSuggestFriendEntity.prototype, "not_suggest_friend_id", void 0);
__decorate([
    (0, typeorm_1.ManyToOne)(() => user_entity_1.UserEntity, (user) => user.user_id, { nullable: true }),
    (0, typeorm_1.JoinColumn)({
        name: 'user_id',
    }),
    __metadata("design:type", user_entity_1.UserEntity)
], NotSuggestFriendEntity.prototype, "user", void 0);
__decorate([
    (0, typeorm_1.ManyToOne)(() => user_entity_1.UserEntity, (user) => user.user_id, { nullable: true }),
    (0, typeorm_1.JoinColumn)({
        name: 'user_not_suggest_id',
    }),
    __metadata("design:type", user_entity_1.UserEntity)
], NotSuggestFriendEntity.prototype, "user_not_suggest", void 0);
NotSuggestFriendEntity = __decorate([
    (0, typeorm_1.Entity)('user_not_suggest')
], NotSuggestFriendEntity);
exports.NotSuggestFriendEntity = NotSuggestFriendEntity;
//# sourceMappingURL=not-suggest-friend.entity.js.map