"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.RestaurantEntity = void 0;
const typeorm_1 = require("typeorm");
const base_entity_1 = require("./base.entity");
let RestaurantEntity = class RestaurantEntity extends base_entity_1.BaseModel {
};
__decorate([
    (0, typeorm_1.PrimaryGeneratedColumn)('identity', {
        type: 'bigint',
    }),
    __metadata("design:type", String)
], RestaurantEntity.prototype, "restaurant_id", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: 'text',
        default: '',
        nullable: true,
    }),
    __metadata("design:type", String)
], RestaurantEntity.prototype, "name", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: 'text',
        default: '',
        nullable: true,
    }),
    __metadata("design:type", String)
], RestaurantEntity.prototype, "phone", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: 'text',
        default: '',
        nullable: true,
    }),
    __metadata("design:type", String)
], RestaurantEntity.prototype, "logo", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: 'text',
        default: '',
        nullable: true,
    }),
    __metadata("design:type", String)
], RestaurantEntity.prototype, "cover", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: 'text',
        default: '',
        nullable: true,
    }),
    __metadata("design:type", String)
], RestaurantEntity.prototype, "address", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: 'int',
        default: 1,
        nullable: true,
    }),
    __metadata("design:type", Number)
], RestaurantEntity.prototype, "status", void 0);
RestaurantEntity = __decorate([
    (0, typeorm_1.Entity)('restaurant')
], RestaurantEntity);
exports.RestaurantEntity = RestaurantEntity;
//# sourceMappingURL=restaurant.entity.js.map