"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.GroupUserBacklistEntity = void 0;
const typeorm_1 = require("typeorm");
const base_entity_1 = require("./base.entity");
const group_entity_1 = require("./group.entity");
const user_entity_1 = require("./user.entity");
let GroupUserBacklistEntity = class GroupUserBacklistEntity extends base_entity_1.BaseModel {
};
__decorate([
    (0, typeorm_1.PrimaryGeneratedColumn)('identity', {
        type: 'bigint',
    }),
    __metadata("design:type", String)
], GroupUserBacklistEntity.prototype, "group_user_backlist_id", void 0);
__decorate([
    (0, typeorm_1.ManyToOne)(() => user_entity_1.UserEntity, (user) => user.user_id),
    (0, typeorm_1.JoinColumn)({
        name: 'user_id',
    }),
    __metadata("design:type", user_entity_1.UserEntity)
], GroupUserBacklistEntity.prototype, "user", void 0);
__decorate([
    (0, typeorm_1.ManyToOne)(() => group_entity_1.GroupEntity, (group) => group.group_id),
    (0, typeorm_1.JoinColumn)({
        name: 'group_id',
    }),
    __metadata("design:type", group_entity_1.GroupEntity)
], GroupUserBacklistEntity.prototype, "group", void 0);
GroupUserBacklistEntity = __decorate([
    (0, typeorm_1.Entity)('group_user_backlist')
], GroupUserBacklistEntity);
exports.GroupUserBacklistEntity = GroupUserBacklistEntity;
//# sourceMappingURL=group-user-backlist.entity.js.map