"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ReactionCommentEntity = void 0;
const typeorm_1 = require("typeorm");
const comment_entity_1 = require("./comment.entity");
const user_entity_1 = require("./user.entity");
const base_entity_1 = require("./base.entity");
let ReactionCommentEntity = class ReactionCommentEntity extends base_entity_1.BaseModel {
};
__decorate([
    (0, typeorm_1.PrimaryGeneratedColumn)('identity', {
        type: 'bigint',
    }),
    __metadata("design:type", String)
], ReactionCommentEntity.prototype, "reaction_comment_id", void 0);
__decorate([
    (0, typeorm_1.ManyToOne)(() => user_entity_1.UserEntity, (user) => user.user_id, { nullable: true }),
    (0, typeorm_1.JoinColumn)({
        name: 'user_id',
    }),
    __metadata("design:type", user_entity_1.UserEntity)
], ReactionCommentEntity.prototype, "user", void 0);
__decorate([
    (0, typeorm_1.ManyToOne)(() => comment_entity_1.CommentEntity, (comment) => comment.comment_id, {
        nullable: true,
    }),
    (0, typeorm_1.JoinColumn)({
        name: 'comment_id',
    }),
    __metadata("design:type", comment_entity_1.CommentEntity)
], ReactionCommentEntity.prototype, "comment", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: 'int',
        nullable: true,
    }),
    __metadata("design:type", Number)
], ReactionCommentEntity.prototype, "reaction_type", void 0);
ReactionCommentEntity = __decorate([
    (0, typeorm_1.Entity)('reaction_comment')
], ReactionCommentEntity);
exports.ReactionCommentEntity = ReactionCommentEntity;
//# sourceMappingURL=reaction-comment.entity.js.map